List knowledge base chats
curl --request GET \
--url https://api.starleads.co/KnowledgeBaseChat \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.starleads.co/KnowledgeBaseChat"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.starleads.co/KnowledgeBaseChat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"datasetIds": [
"<string>"
],
"datasetNames": [
"<string>"
],
"connectedAgentCount": 123,
"llmSettings": {
"temperature": 123,
"topP": 123,
"presencePenalty": 123,
"frequencyPenalty": 123
},
"promptSettings": {
"similarityThreshold": 123,
"keywordsSimilarityWeight": 123,
"topN": 123,
"prompt": "<string>",
"opener": "<string>",
"emptyResponse": "<string>",
"showQuote": true,
"rerankModel": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"pageNumber": 123,
"pageSize": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}RAG - Knowledge Base Chat
List knowledge base chats
Retrieves a paginated list of knowledge base chats belonging to the authenticated company. LLM model names are excluded from the response.
GET
/
KnowledgeBaseChat
List knowledge base chats
Authorizations
Headers
Api key to pass as a X-Api-Key request header.
Query Parameters
Page number (starts at 1, default: 1).
Required range:
x >= 1Number of items per page (1 to 100, default: 50).
Required range:
1 <= x <= 100⌘I

